/// <reference types="google.maps" />
import React from "react";
import useMap from "./hooks/useMap";
interface MapProps extends google.maps.MapOptions {
    className?: string;
    children?: React.ReactElement | React.ReactNode | React.JSX.Element;
    onClick?: (e: google.maps.MapMouseEvent | google.maps.IconMouseEvent) => void;
    onDoubleClick?: (e: google.maps.MapMouseEvent) => void;
    onBoundsChanged?: () => void;
    onCenterChanged?: () => void;
    onContextMenu?: (e: google.maps.MapMouseEvent) => void;
    onDrag?: () => void;
    onDragEnd?: () => void;
    onDragStart?: () => void;
    onHeadingChanged?: () => void;
    onIdle?: () => void;
    onMapTypeIdChanged?: () => void;
    onMapCapabilitiesChanged?: () => void;
    onMouseMove?: (e: google.maps.MapMouseEvent) => void;
    onMouseOut?: (e: google.maps.MapMouseEvent) => void;
    onMouseOver?: (e: google.maps.MapMouseEvent) => void;
    onTilesLoaded?: () => void;
    onZoomChanged?: () => void;
}
declare const Map: (props: MapProps) => React.JSX.Element;
export default Map;
export { useMap };
